player_devaddr Struct Reference
Address structures

A device address. More...

`#include <player.h>`

## Public Attributes

uint32_t | host
| The "host" on which the device resides. More...
uint32_t | robot
| The "robot" or device collection in which the device resides. More...
uint16_t | interf
| The interface provided by the device; must be one of PLAYER_*_CODE.
uint16_t | index
| Which device of that interface.

## Detailed Description

A device address.

Devices are identified by 12-byte addresses of this form. Some of the fields are transport-dependent in their interpretation.

## Member Data Documentation

uint32_t player_devaddr::host

The "host" on which the device resides.

Transport-dependent.

Referenced by Device::MatchDeviceAddress(), Message::MatchMessage(), and LaserTransform::ProcessMessage().

uint32_t player_devaddr::robot

The "robot" or device collection in which the device resides.

Transport-dependent

Referenced by Device::MatchDeviceAddress(), and Message::MatchMessage().

The documentation for this struct was generated from the following file:

- player.h

Last updated 12 September 2005 21:38:45